#
# spec file for package cosmic-randr
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cosmic-randr
Version:        1.0.0~alpha7+0
Release:        1.1
Summary:        Library and utility for displaying and configuring Wayland outputs
License:        MPL-2.0
URL:            https://github.com/pop-os/cosmic-randr
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(wayland-client)

%description
COSMIC RandR is both a library and command line utility for displaying and
configuring Wayland outputs. Each display is represented as an "output head",
whereas all supported configurations for each display is represented as "output modes".

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Thu Apr 24 2025 Richard Rahl <rrahl0@opensuse.org>
- Update to version 1.0.0~alpha7+0:
  * fix: kdl for xwayland_primary
  * feat: support xwayland primary-output
  * chore: update cosmic-protocols
* Sat Feb 22 2025 rrahl0@opensuse.org
- Update to version 1.0.0~alpha6+0:
  * fix: KDL 2.0 syntax change
  * chore: upgrade all dependencies
  * fix: block in dispatch_until_manager_done
- switch to obs_scm
* Sat Jan 18 2025 rrahl0@opensuse.org
- Update to version 1.0.0~alpha5.1+0:
  * chore: update dependencies
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 1.0.0~alpha4+0:
  * feat: support adaptive-sync (VRR)
  * cli: Ignore disabled/mirrored outputs in `auto_correct_offsets`
  * lib: Don't `enable_head` on mirrored displays on `test`/`apply`
  * cli: Dispatch until compositor responds to output config
  * cli: Dispatch until `ManagerDone`
  * lib: Destroy output configuration on receiving event
  * lib: Send `ManagerDone` only after getting cosmic heads
  * Run `cargo update`
  * chore: update dependencies
  * fix(shell): lingering cosmic-randr process
* Thu Oct 31 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha3:
  * lib: Don't enable_head on mirrored displays on test/apply
  * cli: Ignore disabled/mirrored outputs in auto_correct_offsets
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha1:
  * fix(shell): lingering cosmic-randr process
  * fix: display arrangement gaps and offsets
  * improv: fix positioning of scaled and vertical displays
  * improv: fix adjustment of displays when repositioning
  * improv: use min_by_key for refresh rate fallback
- enable leap (thanks to vyvir)
* Thu Mar 14 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
